Bug 1304326 - python-testtools should require python-unittest2 >= 1.0.0
python-testtools should require python-unittest2 >= 1.0.0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-testtools (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 05:22 EST by Bohuslav "Slavek" Kabrda
Modified: 2016-07-05 04:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-testtools-1.8.0-5.fc24 python-testtools-1.8.0-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-18 14:45:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2016-02-03 05:22:23 EST
The upstream requirement in unittest2 says that the package requires unittest2 >= 1.0.0, but the RPM package only requires >= 0.8.0. This can lead to errors like bug 1304117.
Please fix the requirements so that it is aligned with the upstream requirement (I'll be updating unittest2 in F23 to actually satisfy this requirement).
Thanks.
Comment 1 Jan Kurik 2016-02-24 09:23:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Michel Alexandre Salim 2016-06-03 13:44:00 EDT
Apologies for the delay; fix on the way
Comment 3 Fedora Update System 2016-06-03 13:56:52 EDT
python-testtools-1.8.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c0df7966d
Comment 4 Fedora Update System 2016-06-03 13:57:06 EDT
python-testtools-1.8.0-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a7970f869
Comment 5 Fedora Update System 2016-06-04 14:25:40 EDT
python-testtools-1.8.0-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a7970f869
Comment 6 Fedora Update System 2016-06-04 23:58:03 EDT
python-testtools-1.8.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c0df7966d
Comment 7 Fedora Update System 2016-06-18 14:45:10 EDT
python-testtools-1.8.0-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-07-05 04:26:25 EDT
python-testtools-1.8.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.